Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.i18n
Class LocalizedKeywords

    java.lang.Object
      org.jbehave.core.configuration.Keywords
          org.jbehave.core.i18n.LocalizedKeywords

    public class LocalizedKeywords

extends Keywords

Adds i18n support to Keywords, allowing to read the keywords from resource bundles for a given locale.

Nested Class Summary
`static class` | `LocalizedKeywords.LocalizedKeywordNotFound`
`static class` | `LocalizedKeywords.ResourceBundleNotFound`

Nested classes/interfaces inherited from class org.jbehave.core.configuration.Keywords
`Keywords.KeywordNotFound, Keywords.StartingWordNotFound`

Field Summary

Fields inherited from class org.jbehave.core.configuration.Keywords
`AND, AS_A, DRY_RUN, DURATION, EXAMPLES_TABLE, EXAMPLES_TABLE_HEADER_SEPARATOR, EXAMPLES_TABLE_IGNORABLE_SEPARATOR, EXAMPLES_TABLE_ROW, EXAMPLES_TABLE_VALUE_SEPARATOR, FAILED, GIVEN, GIVEN_STORIES, I_WANT_TO, IGNORABLE, IN_ORDER_TO, KEYWORDS, META, META_PROPERTY, NARRATIVE, NO, NOT_PERFORMED, OUTCOME_DESCRIPTION, OUTCOME_MATCHER, OUTCOME_VALUE, OUTCOME_VERIFIED, PENDING, SCENARIO, STORY_CANCELLED, THEN, WHEN, YES`

Constructor Summary
`LocalizedKeywords()`
`LocalizedKeywords(Locale locale)`
`LocalizedKeywords(Locale locale, String bundleName, ClassLoader classLoader)`

Method Summary
`Locale` | `getLocale()`

Methods inherited from class org.jbehave.core.configuration.Keywords
`and, asA, defaultKeywords, dryRun, duration, examplesTable, examplesTableHeaderSeparator, examplesTableIgnorableSeparator, examplesTableRow, examplesTableValueSeparator, failed, given, givenStories, ignorable, inOrderTo, isAndStep, isIgnorableStep, iWantTo, meta, metaProperty, narrative, no, notPerformed, outcomeFields, pending, scenario, startingWord, startingWord, startingWordFor, startingWords, startingWordsByType, startingWordsFor, stepStartsWithWord, stepTypeFor, stepWithoutStartingWord, storyCancelled, synonymsOf, then, toString, when, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalizedKeywords

    public LocalizedKeywords()

### LocalizedKeywords

    public LocalizedKeywords(Locale locale)

### LocalizedKeywords

    public LocalizedKeywords(Locale locale,
                             String bundleName,
                             ClassLoader classLoader)

Method Detail

### getLocale

    public Locale getLocale()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.